com.marklogic.xcc.exceptions

## Class RequestPermissionException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - com.marklogic.xcc.exceptions.XccException
      - - com.marklogic.xcc.exceptions.RequestException
        - - com.marklogic.xcc.exceptions.RequestPermissionException

- All Implemented Interfaces:
    java.io.Serializable

      public class RequestPermissionException
      extends RequestException

  This exception indicates missing or incorrect permissions for a server request.
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `RequestPermissionException(java.lang.String message, Request request, java.lang.String user)`
    `RequestPermissionException(java.lang.String message, Request request, java.lang.String user, boolean isRetryable)`
    `RequestPermissionException(java.lang.String message, Request request, java.lang.String user, java.lang.Throwable cause)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getUser()` The user to which this permission issue applies.

    - ### Methods inherited from class com.marklogic.xcc.exceptions.RequestException

      `appendRequestInfo, getRequest, isRetryable, isRetryAdvised, toString`

    - ### Methods inherited from class java.lang.Throwable

      `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### RequestPermissionException

          public RequestPermissionException(java.lang.String message,
                                            Request request,
                                            java.lang.String user)

    - #### RequestPermissionException

          public RequestPermissionException(java.lang.String message,
                                            Request request,
                                            java.lang.String user,
                                            boolean isRetryable)

    - #### RequestPermissionException

          public RequestPermissionException(java.lang.String message,
                                            Request request,
                                            java.lang.String user,
                                            java.lang.Throwable cause)

  - ### Method Detail

    - #### getUser

          public java.lang.String getUser()

      The user to which this permission issue applies.
      Returns:
        A user name as a String.

Copyright © 2025 MarkLogic Corporation. All Rights Reserved.

Complete online documentation for MarkLogic Server, XQuery and related components may be found at developer.marklogic.com